Quassel IRC - Bug #787

Ops rejoining after netsplit show up as normal users
08/28/2009 10:09 PM - sph

Status: Resolved Start date: 08/28/2009
Priority: High Due date:

Assignee: seezer % Done: 100%
Category: Quassel Core Estimated time: 0.00 hour
Target version: 0.5.0

Version: 0.5-pre 0S: Any
Description

[06:44:28] <= Netsplit between *.net and *.split. Users quit: DrLuth, ComradeH' aweh
[06:50:16] *** Mode #redarmy-clan +ovov DrLuth DrLuth ComradeH aweh ComradeH aweh by *.quakenet.or

g
[06:50:22] => Netsplit between *.net and *.split ended. Users joined: ComradeH' aweh, DrLuth

Those two nicknames now show up as normal users in the list. Restarting the client does not fix the problem.

Associated revisions

Revision 57d23cf77236e4ba25eb2bddb0eb343fe7f5b5df - 09/13/2009 02:00 PM - seezer
Pimp my netsplit detection

- Don't fail on ipv6

- Don't fail on manual reconnects

- Don't fail on too many bad assumptions
Fixes #787

Revision 57d23cf7 - 09/13/2009 02:00 PM - seezer
Pimp my netsplit detection

- Don't fail on ipv6

- Don't fail on manual reconnects

- Don't fail on too many bad assumptions
Fixes #787

History

#1 - 08/30/2009 01:52 AM - seezer

- Status changed from New to Confirmed
- Assignee set to seezer

- Priority changed from Normal to High

- Target version set to 0.5.0

#2 - 09/13/2009 11:23 PM - seezer
- Status changed from Confirmed to Resolved

- % Done changed from 0 to 100

Applied in changeset 57d23cf77236e4ba25eb2bddb0eb343fe7{5b5df.
